"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Dispatcher_1 = require("./Dispatcher");
const MetadataProcessor_1 = require("./MetadataProcessor");
class Application {
    constructor(port, controllers) {
        let handlers = MetadataProcessor_1.MetadataProcessor.processControllers(controllers);
        this.dispatcher = new Dispatcher_1.Dispatcher(port, handlers);
    }
    run() {
        this.dispatcher.run();
    }
}
exports.Application = Application;
